unit View.SetStatus;

interface

uses
  System.SysUtils, System.Classes, JS, Web, WEBLib.Graphics, WEBLib.Controls,
  WEBLib.Forms, WEBLib.Dialogs, Vcl.Controls, Vcl.StdCtrls, WEBLib.ExtCtrls,
  WEBLib.StdCtrls;

type
  TFSetStatus = class(TWebForm)
    wlcbStatus: TWebLookupComboBox;
    dtpDate: TWebDateTimePicker;
    lblStatus1: TWebLabel;
    WebLabel1: TWebLabel;
    btnConfirm: TWebButton;
    btnCancel: TWebButton;
    WebLabel2: TWebLabel;
    edtOrderID: TWebEdit;
    edtNotification: TWebEdit;
    procedure WebFormShow(Sender: TObject);
    procedure btnConfirmClick(Sender: TObject);
    procedure btnCancelClick(Sender: TObject);
  private
    { Private declarations }
    procedure HideNotification;
    procedure ShowNotification(Notification: string);
  public
    { Public declarations }
    confirm: boolean;
    OrderID: string;
  end;

var
  FSetStatus: TFSetStatus;

implementation

{$R *.dfm}

procedure TFSetStatus.btnCancelClick(Sender: TObject);
begin
  Close;
end;

procedure TFSetStatus.btnConfirmClick(Sender: TObject);
begin
  if ( (dtpDate.Date = 0 ) or ( wlcbStatus.value = '' ) ) then
    ShowNotification('Failure:Please fill in all information')
  else
  begin
    confirm := true;
    Close;
  end;
end;

procedure TFSetStatus.WebFormShow(Sender: TObject);
begin
  HideNotification();
  edtOrderID.Text := OrderID;
  dtpDate.Date := 0;
end;

procedure TFSetStatus.HideNotification;
begin
  //pnlMessage.ElementHandle.hidden := True;
end;

procedure TFSetStatus.ShowNotification(Notification: string);
begin
  if Notification <> '' then
  begin
    edtNotification.Text := Notification;
  end;
end;

end.